Bug 204214 - Unit tests breaks platform-autoupdate job
Unit tests breaks platform-autoupdate job
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Autoupdate
7.1
All All
: P3 (vote)
: 7.4
Assigned To: Jiri Rechtacek
au-issues
: TEST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-25 13:58 UTC by Jiri Rechtacek
Modified: 2013-05-11 02:32 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Rechtacek 2011-10-25 13:58:16 UTC
Test Result (4 failures / -3)
- org.netbeans.modules.autoupdate.services.NbmPack200Test.testNbmWithPack200Compression
- org.netbeans.updater.ModuleUpdaterConfigTest.testMainConfigParsesPathSeparator
- org.netbeans.modules.autoupdate.services.NewClustersRebootTest.testSelf
- org.netbeans.modules.autoupdate.services.NewClustersRebootTest.testSelf
Comment 1 Jaroslav Tulach 2012-04-18 06:33:45 UTC
Delete the tests rather then letting them fail, imho.
Comment 2 Jiri Rechtacek 2013-05-06 15:18:04 UTC
http://hg.netbeans.org/core-main/rev/988d41937663
Comment 3 Quality Engineering 2013-05-07 02:25:24 UTC
Integrated into 'main-golden', will be available in build *201305062300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/988d41937663
User: Jiri Rechtacek <jrechtacek@netbeans.org>
Log: #204214: remove broken tests
Comment 4 Quality Engineering 2013-05-09 02:36:59 UTC
Integrated into 'main-golden', will be available in build *201305082300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/b5ad322bbdf0
User: Jiri Rechtacek <jrechtacek@netbeans.org>
Log: #204214: fix of PluginManagerActionTest
Comment 5 Jiri Rechtacek 2013-05-09 13:40:34 UTC
nbexec fixed. org.netbeans.modules.autoupdate.services.NewClustersRebootTest.testSelf should pass on Solaris too.
http://hg.netbeans.org/core-main/rev/6dc6517ce7bc
Comment 6 Jaroslav Tulach 2013-05-09 18:12:56 UTC
Congratulation for tracking down and fixing this long out-standing bug!
Comment 7 Quality Engineering 2013-05-11 02:32:17 UTC
Integrated into 'main-golden', will be available in build *201305102300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/6dc6517ce7bc
User: Jiri Rechtacek <jrechtacek@netbeans.org>
Log: #204214: fix nbexec due to failing the NewClustersRebootTest on Solaris


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo